org.jacoco.agent.rt.internal.output

## Interface IAgentOutput

All Known Implementing Classes:
  FileOutput, NoneOutput, TcpClientOutput, TcpServerOutput

    public interface IAgentOutput

Common interface for different implementations that outputs execution data dumps.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `shutdown()` Shutdown the agent controller and clean up any resources it has created.
`void` `startup(AgentOptions options, RuntimeData data)` Configure the agent controller with the supplied options and connect it to the coverage runtime
`void` `writeExecutionData(boolean reset)` Write all execution data in the runtime to a location determined by the agent controller.

### Method Detail

#### startup

    void startup(AgentOptions options,
                 RuntimeData data)
          throws Exception

Configure the agent controller with the supplied options and connect it to the coverage runtime

Parameters:
  `options` - Options used to configure the agent controller
  `data` - Execution data for this agent
Throws:
  `Exception` - in case startup fails

#### shutdown

    void shutdown()
           throws Exception

Shutdown the agent controller and clean up any resources it has created.

Throws:
  `Exception` - in case shutdown fails

#### writeExecutionData

    void writeExecutionData(boolean reset)
                     throws IOException

Write all execution data in the runtime to a location determined by the agent controller. This method should only be called by the Agent

Parameters:
  `reset` - if `true` execution data is cleared afterwards
Throws:
  `IOException` - in case writing fails